org.apache.ignite.internal.util.lang

## Class GridClosureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.util.lang.GridClosureException

All Implemented Interfaces:
  Serializable

    public class GridClosureException
    extends IgniteException

This exception provides closures with facility to throw exceptions. Closures can't throw checked exception and this class provides a standard idiom on how to wrap and pass an exception up the call chain.

See Also:
  `GridFunc.wrap(Throwable)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClosureException(Throwable e)` Creates wrapper closure exception for given `IgniteCheckedException`.

### Method Summary

Methods
`Throwable` `unwrap()` Unwraps the original `Throwable` instance.

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClosureException

    public GridClosureException(Throwable e)

Creates wrapper closure exception for given `IgniteCheckedException`.

Parameters:
  `e` - Exception to wrap.

### Method Detail

#### unwrap

    public Throwable unwrap()

Unwraps the original `Throwable` instance.

Returns:
  The original `Throwable` instance.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017